Skip to content

Get Current User

GET
/auth/me

Get current authenticated user profile.

Requires Authorization: Bearer {token} header.

Args: authorization: Authorization header db: Database session

Returns: Current user profile with roles and permissions

Raises: 401: Invalid or missing token

Successful Response

CurrentUserResponse

Current user profile response.

object
id
required
Id
string
email
required
Email
string
full_name
required
Any of:
string
business_id
required
Business Id
string
roles
required
Roles
Array<string>
permissions
required
Permissions
Array<string>

Unauthorized

ErrorResponse

Error response.

object
error
required
Error

Error code

string
message
required
Message

Error message

string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object